$(document).ready(function () {
	// Avoid `console` errors in browsers that lack a console.
	var method;
	var noop = function () { };
	var methods = [
		'assert', 'clear', 'count', 'debug', 'dir', 'dirxml', 'error',
		'exception', 'group', 'groupCollapsed', 'groupEnd', 'info', 'log',
		'markTimeline', 'profile', 'profileEnd', 'table', 'time', 'timeEnd',
		'timeStamp', 'trace', 'warn'
	];
	var length = methods.length;
	var console = (window.console = window.console || {});

	while (length--) {
		method = methods[length];

		if (!console[method]) {
			console[method] = noop;
		}
	}

	var stopPropagation = false;
    $('.chat-finish, .chat-hide, .chat-content').hide();

    $('.chat-holder').addClass('hidden').removeClass('shown');

    if ($('.chat-header').hasClass("chat-available")) {
    	$('.chat-header').addClass('cursor');
    	$('.chat-header').click(function (e) {
    		if (!stopPropagation) {
    			if (!$("#chat-iframe").attr('src'))
    				$("#chat-iframe").attr('src', "/ContentExternal/Chat/frm/ChatFrameSet.htm");
    			toggleChat();
    		}
    		else
    			stopPropagation = false;
    	});

    	if ($('.chat-header').hasClass("chat-already-running")) {
    		if (isSessionStorageAvailable()) {
    			var isChatVisible = sessionStorage.getItem('isChatVisible');
    			if (isChatVisible == "true")
    				$('.chat-header').click();
    		}
    	};
    };

	//$('.chat-finish').click(function (e) {
    //	$("#chat-iframe").attr('src', "");
    //	toggleChat();
    //	stopPropagation = true;
	//});

	$('.yesno.y').click(function (e) {
    	$("#chat-iframe").attr('src', "");
    	toggleChat();
        $('.sure-to-finish').hide();
    	stopPropagation = true;

        $.post("/EServices/ChatClosed", {}, function (data) {
            $('.chat-header').click();
            console.log("Chat was closed");
            var $parent = $("#chat-iframe").parent();
            $parent.html($parent.html());
        });
        if (isSessionStorageAvailable()) {
            sessionStorage.setItem('isChatConnected', "false");
        }
        return false;
    });

    $('.chat-finish').click(function (e) {
        $('.sure-to-finish').show();
        e.stopPropagation();
    });

    $('.yesno.n').click(function () {
        $('.sure-to-finish').hide();
        return false;
    });
});

function toggleChat() {
	$('.chat-holder').toggleClass('hidden').toggleClass('shown');
	$(this).toggleClass('cursor');
	$('.chat-finish, .chat-hide, .chat-content').toggle();

	if (isSessionStorageAvailable()) {
		sessionStorage.setItem('isChatVisible', $(".chat-holder").hasClass("shown"));
	}
};

function isSessionStorageAvailable() {
	try {
		return 'sessionStorage' in window && window['sessionStorage'] !== null;
	} catch (e) {
		return false;
	}
};
