﻿$.extend(geoData, {
    onloadCallback: function () {
        if (this.checkGeoCookie()) {
            if (this.geoCookie && this.geoCookie.Confirmed)
                $('.geo').hide();
            else
                $('.geo').show();
        }
        else
            $('.geo').show();
    },

    checkGeoCookie: function () {
        this.geoCookie = $.cookie(this.geoCookieKey);
        var checkResult = (this.geoCookie != null);
        if (checkResult)
            this.geoCookie = $.parseJSON(this.geoCookie);

        return checkResult;
    },

    updateGeoLocation: function (label, id) {
        if (!this.checkGeoCookie())
            return;

        this.needsReload = (this.geoCookie.CityID != id);

        this.geoCookie.City = label;
        this.geoCookie.CityID = id;
        if (!this.geoCookie.Confirmed)
            this.geoCookie.Confirmed = true;

        this.saveGeoCookie();
    },

    setConfirmFlag: function () {
        if (!this.checkGeoCookie())
            return;

        this.geoCookie.Confirmed = true;

        this.saveGeoCookie();
    },

    saveGeoCookie: function () {
        $.cookie(this.geoCookieKey, $.toJSON(this.geoCookie), { expires: new Date(10000, 0, 1), domain: this.isLocalHost ? null : this.domain, path: '/' });
    },

    changeCity: function (label, id) {
        if (id == null) {
            label = $(this).text();
            id = $(this).attr('cityid');
        }
        geoData.updateGeoLocation(label, id);

        if (geoData.needsReload) {
            $("#towns").slideUp();
            $(".metcast.on").removeClass("on");
            location.reload();
        }
    }
});


$(function () {

    geoData.onloadCallback();

    //GEOLOCATION - EVENTS
    $('.geo a.chenge-city.cur-city').click(function() {
        geoData.setConfirmFlag();

        $('.geo').fadeOut('slow');
    });

    $('.list .col a').click(geoData.changeCity);
    $('.towns a.city').click(geoData.changeCity);

    $('.metcast a.pseudo-link.select-s').click(function() {
        $('.geo>div.select-city').hide();
    });

    $('.geo a.chenge-city').click(function() {
        $('.metcast>div.select-city').hide();
    });
    //GEOLOCATION - EVENTS //END
});